Skip to content
Start here

Get a sending subdomain

GET/zones/{zone_id}/email/sending/subdomains/{subdomain_id}

Gets information for a specific sending subdomain.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings WriteZone Settings Read
Path ParametersExpand Collapse
zone_id: string

Identifier.

maxLength32
subdomain_id: string

Sending subdomain identifier.

maxLength32
ReturnsExpand Collapse
errors: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
success: true

Whether the API call was successful.

result: optional object { email_sending_enabled, name, tag, 5 more }
email_sending_enabled: boolean

Whether Email Sending is enabled on this subdomain.

name: string

The subdomain domain name.

tag: string

Sending subdomain identifier.

maxLength32
created: optional string

The date and time the destination address has been created.

formatdate-time
email_sending_dkim_selector: optional string

The DKIM selector used for email signing.

email_sending_return_path_domain: optional string

The return-path domain used for bounce handling.

enabled: optional boolean

Whether Email Routing (receiving) is enabled on this subdomain. Read-only; included for informational purposes since both services share the subdomain row.

modified: optional string

The date and time the destination address was last modified.

formatdate-time

Get a sending subdomain

curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/email/sending/subdomains/$SUBDOMAIN_ID \
    -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
    -H "X-Auth-Key: $CLOUDFLARE_API_KEY"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "email_sending_enabled": true,
    "name": "sub.example.com",
    "tag": "aabbccdd11223344aabbccdd11223344",
    "created": "2014-01-02T02:20:00Z",
    "email_sending_dkim_selector": "cf-bounce",
    "email_sending_return_path_domain": "cf-bounce.sub.example.com",
    "enabled": true,
    "modified": "2014-01-02T02:20:00Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "email_sending_enabled": true,
    "name": "sub.example.com",
    "tag": "aabbccdd11223344aabbccdd11223344",
    "created": "2014-01-02T02:20:00Z",
    "email_sending_dkim_selector": "cf-bounce",
    "email_sending_return_path_domain": "cf-bounce.sub.example.com",
    "enabled": true,
    "modified": "2014-01-02T02:20:00Z"
  }
}